com.brightcove.player.model

## Class SourceAwareMetadataObject

- java.lang.Object
- - com.brightcove.player.model.MetadataObject
  - - com.brightcove.player.model.SourceAwareMetadataObject

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    Source, SourceCollection

      public abstract class SourceAwareMetadataObject
      extends MetadataObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SourceAwareMetadataObject.Fields` Provides the list of known field names that can appear in the properties Map.

  - ### Field Summary

    - ### Fields inherited from class com.brightcove.player.model.MetadataObject

      `properties, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SourceAwareMetadataObject(java.util.Map<java.lang.String,java.lang.Object> properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeliveryType` | `getDeliveryType()` Returns the DeliveryType for this Source, or DeliveryType.UNKNOWN if none was specified.
    `protected void` | `initializeDeliveryType(DeliveryType type)` Convenience method used by constructors to initialize DeliveryType.

    - ### Methods inherited from class com.brightcove.player.model.MetadataObject

      `getIntegerProperty, getIntegerProperty, getLongProperty, getProperties, getStringProperty, getStringProperty, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SourceAwareMetadataObject

          public SourceAwareMetadataObject(@NonNull
                                           java.util.Map<java.lang.String,java.lang.Object> properties)

      See Also:
        `MetadataObject.MetadataObject(java.util.Map)`

  - ### Method Detail

    - #### initializeDeliveryType

          protected void initializeDeliveryType(@NonNull
                                                DeliveryType type)

      Convenience method used by constructors to initialize DeliveryType.

    - #### getDeliveryType

          @NonNull
          public DeliveryType getDeliveryType()

      Returns the DeliveryType for this Source, or DeliveryType.UNKNOWN if none was specified.
      Returns:
        the DeliveryType for this Source, or DeliveryType.UNKNOWN if not available